Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.exceptions
[Groovy] Class DefaultStackTracePrinter

    java.lang.Object
      org.codehaus.groovy.grails.exceptions.DefaultStackTracePrinter

All Implemented Interfaces:
  StackTracePrinter

    class DefaultStackTracePrinter
    extends java.lang.Object

Authors:
  Graeme Rocher

Since:
  2.2

Method Summary
`protected java.lang.String` | `getFileName(java.lang.StackTraceElement te)`
`static java.lang.String` | `makeRelativeIfPossible(java.lang.String fileName)`
`java.lang.String` | `prettyPrint(java.lang.Throwable t)`
`protected void` | `printCausedByMessage(java.io.PrintWriter sb, java.lang.Throwable e)`
`protected void` | `printFailureLocation(java.io.PrintWriter sb, java.lang.String lineNumber, java.lang.String methodName, java.lang.String fileName)`
`protected void` | `printHeader(java.io.PrintWriter sb, java.lang.String header)`
`protected void` | `printLastEntry(java.io.PrintWriter sb, java.lang.String lineNumber, java.lang.String methodName, java.lang.String fileName)`
`protected void` | `printStackLine(java.io.PrintWriter sb, java.lang.String lineNumber, java.lang.String methodName, java.lang.String fileName)`
`protected boolean` | `shouldSkipNextCause(java.lang.Throwable e)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### getFileName

    protected java.lang.String getFileName(java.lang.StackTraceElement te)

### makeRelativeIfPossible

    static java.lang.String makeRelativeIfPossible(java.lang.String fileName)

### prettyPrint

    java.lang.String prettyPrint(java.lang.Throwable t)

### printCausedByMessage

    protected void printCausedByMessage(java.io.PrintWriter sb, java.lang.Throwable e)

### printFailureLocation

    protected void printFailureLocation(java.io.PrintWriter sb, java.lang.String lineNumber, java.lang.String methodName, java.lang.String fileName)

### printHeader

    protected void printHeader(java.io.PrintWriter sb, java.lang.String header)

### printLastEntry

    protected void printLastEntry(java.io.PrintWriter sb, java.lang.String lineNumber, java.lang.String methodName, java.lang.String fileName)

### printStackLine

    protected void printStackLine(java.io.PrintWriter sb, java.lang.String lineNumber, java.lang.String methodName, java.lang.String fileName)

### shouldSkipNextCause

    protected boolean shouldSkipNextCause(java.lang.Throwable e)

Groovy Documentation